<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "functions" - Page-Template PHP-Functions             |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.2b / January 2013 ==

*/

define('CPO', true);
require_once('../_include/checkaccess.inc.php'); 

$directory = basename(dirname($_SERVER['PHP_SELF'])); 

require(CPO_BASEDIR.'_include/check.php');
require(CPO_BASEDIR.'_include/header.php');

include(CPO_BASEDIR.$activeModules['functions']['directory'].'/producer.inc.php');


printPageHeader(
	__('Functions setup'),
	__('In this view you can watch the default functions to be installed.')
);

$db = new DB;
	$query = 'INSERT INTO `'.$dbPrefix.'_mod_functions` (`function_name`, `function_args`, `function_code`) VALUES(\'Login\', \'\', \'/* Login-Funktion fr Seitentemplates\r\nDiese Funktion zeigt an, wie man eingeloggt ist und bietet dementsprechend ein Logout/Login-Link an\r\nby M. Rsel */\r\n\r\n$loginstring = \'\'\'\';\r\nif (!empty($_SESSION[\'\'SID_log_login_id\'\'])) {  // User ist eingeloggt\r\n    // Diese Ausgabe kann nach Belieben angepasst werden\r\n    $loginstring .= sprintf(\'\'Sie sind als <i>%s</i> eingeloggt!\'\', $_SESSION[\'\'SID_user\'\'][\'\'name\'\']);\r\n    $loginstring .= \'\'<br />\'\';\r\n    $loginstring .= \'\'Hier geht es zum <a href="./member.php?action=logout">Logout</a>\'\';\r\n} else {\r\n    // Diese Ausgabe kann nach Belieben angepasst werden\r\n    $loginstring .= \'\'Sie sind nicht eingeloggt!\'\';\r\n    $loginstring .= \'\'<br />\'\';\r\n    $loginstring .= \'\'Hier geht es zum <a href="./member.php?action=login">Login</a>\'\';\r\n}\r\nreturn $loginstring;\r\n\');';
DEBUG(2, $query, __FILE__, __LINE__);  
$db->query($query);
$message[] = sprintf(__('Writing function <i>%s</i> to the database'),'Login()');

	$query = 'INSERT INTO `'.$dbPrefix.'_mod_functions` (`function_name`, `function_args`, `function_code`) VALUES(\'Datum\', \'$format, $datum\', \'/* Datusmausgabe\r\nformat siehe PHP-Funktion date() z.B. d.m.Y oder Y-m-d\r\ndatum (einzugeben als YYYY-MM-DD) oder leer lassen fr aktuelles Datum\r\nby M. Rsel */\r\n\r\nif ($datum<=1) $datum=date("Y-m-d",time()); // falls kein Datum angegeben, wird das aktuelle genommen\r\nreturn date($format, strtotime($datum));\');';
DEBUG(2, $query, __FILE__, __LINE__);  
$db->query($query);
$message[] = sprintf(__('Writing function <i>%s</i> to the database'),'Datum()');

	$query = 'INSERT INTO `'.$dbPrefix.'_mod_functions` (`function_name`, `function_args`, `function_code`) VALUES(\'Artikelzahl\', \'\', \'$counter_free = 0;\r\nif ($cpoSystem[\'\'release\'\']) {\r\n    $query1 = "SELECT COUNT(*) FROM ".CPO_NEWS." WHERE artikel_archiv=0 AND freigabe=\'\'".STATE_RELEASED."\'\'";\r\n    DEBUG(1, $query1, __FILE__, __LINE__);\r\n    $db_2 = new DB;\r\n    $db_2->query($query1);\r\n    $db_2->next_record();\r\n    $counter_free = $counter_free + $db_2->v(\'\'COUNT(*)\'\');\r\n} else {\r\n    $query1 = "SELECT COUNT(*) FROM ".CPO_NEWS." WHERE artikel_archiv=0 AND (freigabe=0 OR freigabe=\'\'".STATE_WAITING."\'\' OR freigabe=3)";\r\n    DEBUG(1, $query1, __FILE__, __LINE__);\r\n    $db_2 = new DB;\r\n    $db_2->query($query1);\r\n    $db_2->next_record();\r\n    $counter_free = $counter_free + $db_2->v(\'\'COUNT(*)\'\');\r\n} \r\n\r\nreturn $counter_free ;\');';
DEBUG(2, $query, __FILE__, __LINE__);  
$db->query($query);
$message[] = sprintf(__('Writing function <i>%s</i> to the database'),'Artikelzahl()');

	$query = 'INSERT INTO `'.$dbPrefix.'_mod_functions` (`function_name`, `function_args`, `function_code`) VALUES(\'LiveSearch\', \'$anzahl, $showhits, $clickable\', \'/* LiveSearch\r\nliefert die letzten Sucheingaben des Frontends im Protokoll\r\ndies gibt Usern und Suchmaschinen weiterfhrende Links (falls gewnscht)\r\nim Seitentemplate kann die Anzahl angegeben werden, sowie die Trefferzahl \r\neingeblendet und die Verlinkung zum Suchmodul ausgeschalltet werden\r\nOhne weitere Angaben liefert <!-- function: LiveSearch; --> per default\r\n10 Treffer ohne Trefferanzahl und mit Link zum Suchmodul\r\nby M. Rsel */\r\n\r\n// einige Basiswerte\r\nif ($anzahl <= 1) $anzahl = 10;\r\n$showhits  = ($showhits!=\'\'true\'\')   ? false : true; // default false\r\n$clickable = ($clickable!=\'\'false\'\') ? true  : false; // default true\r\n$identifier = \'\'Frontend-Search: \'\';\r\n$searchDir = \'\'mod_search\'\';\r\n\r\n// jetzt suchen wir mal\r\n$livesearch = \'\'\'\';\r\n$query = "SELECT aktion, bemerkung "\r\n        ."FROM ".CPO_LOG." "\r\n        ."WHERE  bemerkung LIKE \'\'".$identifier."%\'\' "\r\n        ."ORDER BY datum DESC LIMIT 0, ".(int)$anzahl."";\r\n$dbLiveSearch = new DB;\r\n$dbLiveSearch->query($query);\r\nif ($dbLiveSearch->num_rows()<=0) { \r\n        $livesearch = ___(\'\'No records found.\'\');\r\n        return $livesearch;\r\n}\r\nwhile($dbLiveSearch->next_record()) {\r\n        $searchRecord = htmlspecialchars($dbLiveSearch->v(\'\'bemerkung\'\'), ENT_COMPAT, \'ISO-8859-15\');\r\n        $searchRecord = substr($searchRecord, strlen($identifier), strlen($searchRecord));\r\n        if (!$showhits)\r\n               $searchRecord = substr($searchRecord, 0, strpos($searchRecord, \'\'(Hits\'\')-1);\r\n        if ($clickable)\r\n                $searchRecord = \'\'<a href="../\'\'.$searchDir.\'\'/index.php?q=\'\'.$searchRecord.\'\'">\'\'.$searchRecord.\'\'</a>\'\';\r\n       $livesearch .= $searchRecord.\'\'<br />\'\';\r\n}\r\nreturn $livesearch;\');';
DEBUG(2, $query, __FILE__, __LINE__);  
$db->query($query);
$message[] = sprintf(__('Writing function <i>%s</i> to the database'),'LiveSearch()');


$message[] = __('The functions were successfully written to the database!');
require(CPO_BASEDIR."_include/message.php");


require(CPO_BASEDIR.'_include/footer.php');
?>
